Thread_struct Struct Reference

`#include <HeiOS_Thread.h>`

## Data Fields

struct Thread_struct * | next
uint32_t * | PSP
char | name [20]
void(* | pfunc )()
uint8_t | priority
uint8_t | identity
uint32_t | executiontime
uint32_t | tickcount
uint32_t | delay
uint32_t | ssize
uint32_t * | stack

## Field Documentation

## delay

uint32_t delay

holds the time for the Delay

## executiontime

uint32_t executiontime

time slot for Execution

## identity

uint8_t identity

Identity of Thread

## name

char name[20]

Name of Thread

## next

struct Thread_struct* next

Pointer to next Thread

## pfunc

void(* pfunc) ()

Pointer to Thread Function

## priority

uint8_t priority

Priority of Thread

## PSP

uint32_t* PSP

Process Stackpointer

## ssize

uint32_t ssize

Number of Stack Depth

## stack

uint32_t* stack

Pointer to Stack

## tickcount

uint32_t tickcount

counts the Systick Time

The documentation for this struct was generated from the following file:

- HeiOS_Thread.h